package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class StatusAccount
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "StatusAccount_M")
public class StatusAccountVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectJenisAccountFk")
	@NotNull(message="Object Jenis Account Harus Diisi")
	@Caption(value="Object Jenis Account")
	private JenisAccountVO jenisAccount;

	public void setJenisAccount(JenisAccountVO jenisAccount) {
		this.jenisAccount = jenisAccount;
	}

	@Column(name = "KdJenisAccount", nullable = false )
	public JenisAccountVO getJenisAccount(){
		return this.jenisAccount;
	}

	@Column(name = "ObjectJenisAccountFk", insertable=false,updatable=false)
	private Integer jenisAccountId;

	@Caption(value="Kode Status Account")
	private Byte kdStatusAccount;

	public void setKdStatusAccount(Byte kdStatusAccount) {
		this.kdStatusAccount = kdStatusAccount;
	}

	@Column(name = "KdStatusAccount", nullable = false )
	public Byte getKdStatusAccount(){
		return this.kdStatusAccount;
	}

	@Caption(value="QStatus Account")
	private Byte qStatusAccount;

	public void setqStatusAccount(Byte qStatusAccount) {
		this.qStatusAccount = qStatusAccount;
	}

	@Column(name = "QStatusAccount", nullable = false )
	public Byte getqStatusAccount(){
		return this.qStatusAccount;
	}

	@Caption(value="Status Account")
	private String statusAccount;

	public void setStatusAccount(String statusAccount) {
		this.statusAccount = statusAccount;
	}

	@Column(name = "StatusAccount", nullable = false , length = 30)
	public String getStatusAccount(){
		return this.statusAccount;
	}

	/*//
	@OneToMany(fetch = FetchType.LAZY, cascade = CascadeType.ALL, mappedBy = "kdstatusaccount")
	private Set<ChartOfAccount> ChartOfAccountSet = new HashSet<ChartOfAccount>();

	public Set<ChartOfAccount> getChartOfAccountSet() {
		return ChartOfAccountSet;
	}

	public void setChartOfAccountSet(Set<ChartOfAccount> chartOfAccountSet) {
		ChartOfAccountSet = chartOfAccountSet;
	}*/
	
}

